<?php
/**
 * Created by PhpStorm.
 * User: eater
 * Date: 6/6/16
 * Time: 11:28 PM
 */

namespace Eater\Glim\Handler;


class CRL extends Main
{
    function handle()
    {
        return $this->getResponse()
            ->withHeader('Content-Type', 'plain/text')
            ->withHeader('Content-Disposition', 'attachment; filename="crl.pem"')
            ->write(file_get_contents($this->getCore()->getBaseDir() . '/storage/ca/crl.pem'));
    }
}